com.holonplatform.vaadin.components.builders

## Interface ComponentConfigurator.BaseComponentConfigurator

- All Superinterfaces:
    ComponentConfigurator<ComponentConfigurator.BaseComponentConfigurator>
  Enclosing interface:
    ComponentConfigurator<B extends ComponentConfigurator<B>>

      public static interface ComponentConfigurator.BaseComponentConfigurator
      extends ComponentConfigurator<ComponentConfigurator.BaseComponentConfigurator>

  Base component configurator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentConfigurator.BaseComponentConfigurator` | `create(com.vaadin.ui.AbstractComponent component)` Create a new `ComponentConfigurator.BaseComponentConfigurator` on given `component`.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### create

          static ComponentConfigurator.BaseComponentConfigurator create(com.vaadin.ui.AbstractComponent component)

      Create a new `ComponentConfigurator.BaseComponentConfigurator` on given `component`.
      Parameters:
        `component` - Component to configure (not null)
      Returns:
        A new `ComponentConfigurator.BaseComponentConfigurator` to configure given component

Copyright © 2019 The Holon Platform. All rights reserved.